package org.academiadecodigo.enuminatti.hibernatebootstrap.inheritance.tableperclass;

import org.academiadecodigo.enuminatti.hibernatebootstrap.SaveUtil;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public class TablePerClass {
    public static void main(String[] args) {
        SaveUtil<Vehicle> saveUtil = new SaveUtil<>();

        saveUtil.save(new Boat(200, 5));
        saveUtil.save(new Car(180, 4));

        saveUtil.close();
    }
}
